import HeaderBack from "@/components/HeaderBack";
import { getTranslations } from "next-intl/server";
import { ReactNode } from "react";

export default async function Layout({
    children,
    params: { locale },
}: {
    children: ReactNode;
    params: { locale: string };
}) {
    const t = await getTranslations("ProfilePage");
    return (
        <>
            <HeaderBack showBack={false} />
            <main className={"main-header bg-[#282828]"}>{children}</main>
        </>
    );
}
